低危 libxml2 up to 2.9.4 parser.c Parameter 拒绝服务漏洞

CVE编号

CVE-2017-16932

利用情况

暂无

补丁情况

官方补丁

披露时间

2017-11-24
漏洞描述
libxml2是GNOME项目组所研发的一个基于C语言的用来解析XML文档的函数库,它支持多种编码格式、Xpath解析、Well-formed和valid验证等。 libxml2 2.9.5之前的版本中的parser.c文件存在拒绝服务漏洞,该漏洞源于程序在参数实体中未能阻止无限递归。攻击者可利用该漏洞造成拒绝服务(无限循环或内存耗尽)。

解决建议
厂商已发布漏洞修复程序,请及时关注更新:
https://github.com/GNOME/libxml2/commit/899a5d9f0ed13b8e32449a08a361e0de127dd961
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 xmlsoft libxml2 * Up to
(including)
2.9.4
运行在以下环境
系统 alpine_3.10 clamav * Up to
(excluding)
0.100.1-r0
运行在以下环境
系统 alpine_3.11 clamav * Up to
(excluding)
0.100.1-r0
运行在以下环境
系统 alpine_3.12 clamav * Up to
(excluding)
0.100.1-r0
运行在以下环境
系统 alpine_3.13 clamav * Up to
(excluding)
0.100.1-r0
运行在以下环境
系统 alpine_3.14 clamav * Up to
(excluding)
0.100.1-r0
运行在以下环境
系统 alpine_3.15 clamav * Up to
(excluding)
0.100.1-r0
运行在以下环境
系统 alpine_3.5 clamav * Up to
(excluding)
0.100.1-r0
运行在以下环境
系统 alpine_3.6 clamav * Up to
(excluding)
0.100.1-r0
运行在以下环境
系统 alpine_3.7 clamav * Up to
(excluding)
0.100.1-r0
运行在以下环境
系统 alpine_3.8 clamav * Up to
(excluding)
0.100.1-r0
运行在以下环境
系统 alpine_3.9 clamav * Up to
(excluding)
0.100.1-r0
运行在以下环境
系统 alpine_edge clamav * Up to
(excluding)
0.100.1-r0
运行在以下环境
系统 debian_10 clamav * Up to
(including)
2.9.4+dfsg1-7+deb10u3
运行在以下环境
系统 debian_7 clamav * Up to
(excluding)
2.8.0+dfsg1-7+wheezy11
运行在以下环境
系统 debian_9 clamav * Up to
(excluding)
2.9.4+dfsg1-2.2+deb9u6
运行在以下环境
系统 suse_11 libxml2 * Up to
(excluding)
2.7.6-0.77.10
运行在以下环境
系统 suse_11_SP4 clamav * Up to
(excluding)
2.7.6-0.77.10.1
运行在以下环境
系统 ubuntu_14.04 clamav * Up to
(excluding)
2.9.1+dfsg1-3ubuntu4.11
运行在以下环境
系统 ubuntu_14.04.6_lts libxml2 * Up to
(excluding)
2.9.1+dfsg1-3ubuntu4.11
运行在以下环境
系统 ubuntu_16.04 clamav * Up to
(excluding)
2.9.3+dfsg1-1ubuntu0.4
运行在以下环境
系统 ubuntu_16.04.7_lts libxml2 * Up to
(excluding)
2.9.3+dfsg1-1ubuntu0.4
运行在以下环境
系统 ubuntu_18.04 clamav * Up to
(excluding)
2.9.4+dfsg1-6.1ubuntu1.2
运行在以下环境
系统 ubuntu_18.04.5_lts libxml2 * Up to
(excluding)
2.9.4+dfsg1-6.1ubuntu1.2
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-835 不可达退出条件的循环(无限循环)
阿里云安全产品覆盖情况